# Generated by rust2rpm 13
%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-%{crate}
Version:        1.1.2
Release:        2%{?dist}
Summary:        Bindings to the system libz library (also known as zlib)

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libz-sys
Source:         %{crates_source}
# Initial patched metadata
# * No MSVC
# * Remove asm/static/zlib-ng features
Patch0:         libz-sys-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Bindings to the system libz library (also known as zlib).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(zlib)

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libc-devel %{_description}

This package contains library source intended for building other packages
which use "libc" feature of "%{crate}" crate.

%files       -n %{name}+libc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+stock-zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stock-zlib-devel %{_description}

This package contains library source intended for building other packages
which use "stock-zlib" feature of "%{crate}" crate.

%files       -n %{name}+stock-zlib-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# No bundled libs
rm -vrf src/zlib/
rm -vrf src/zlib-ng/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(zlib)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Sep 18 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2.

* Wed Aug 19 2020 Josh Stone <jistone@redhat.com> - 1.1.0-1
- Update to 1.1.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 12:34:11 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-5
- Regenerate

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.25-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-3
- Run tests in infrastructure

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.25-2
- Adapt to new packaging

* Thu Oct 25 2018 Josh Stone <jistone@redhat.com> - 1.0.25-1
- Update to 1.0.25

* Fri Oct 12 2018 Josh Stone <jistone@redhat.com> - 1.0.24-1
- Update to 1.0.24

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 1.0.23-1
- Update to 1.0.23

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 1.0.22-1
- Update to 1.0.22

* Tue Aug 07 2018 Josh Stone <jistone@redhat.com> - 1.0.20-1
- Update to 1.0.20

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-3
- Rebuild for rust-packaging v5

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-2
- Remove bundled zlib

* Thu Nov 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Mon Jun 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.16-1
- Update to 1.0.16

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-1
- Initial package
